Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4792 - 2.2.x kernel panics when using serial console
Summary: 2.2.x kernel panics when using serial console
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 5.2
Hardware: sparc
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-31 00:31 UTC by kirk
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 19:56:51 UTC


Attachments (Terms of Use)

Description kirk 1999-08-31 00:31:11 UTC
Sparc 20 with 2 60Mhz Sparc processors running Red Hat Linux
5.2.  I've put the packages Red Hat recommends for running a
2.2 kernel on Red Hat Linux 5.2.  I'm running the machine
headless, and when I boot the kernel (anything from 2.2.5 to
2.2.12) I get this on the console:

zs_open cua0, tty overwrite.
zs_open cua0, tty overwrite.
zs_open cua0, tty overwrite.
zs_open cua0, tty overwrite.
zs_open cua0, tty overwrite.
[ ... This will go on forever ... ]


The machine at this point seems to be running nicely if I
telnet in, but if I press a key on the serial console, the
kernel panics like so:


Unable to handle kernel NULL pointer
dereference<1>tsk->mm->context =
                  00000001 tsk->mm->pgd = f2e35000
                                \|/ ____ \|/
                                "@'/ ,. \`@"
                                /_| \__/ |_\
                                  \__U_/
ifup(125): Oops
PSR: 00900fc1 PC: f0141e24 NPC: f0141e28 Y: 10e69800
g0: f0041d64 g1: 00400fe3 g2: 00000021 g3: 00000021 g4:
e00e1040 g5:
00000000 g6
: ff00e000 g7: 00000000
o0: 00000001 o1: 00000003 o2: f2f18130 o3: e00e1050 o4:
00000000 o5:
00000002 sp
: ff00fc70 o7: f0141dd8
l0: 0000000d l1: f2f18000 l2: f018fde0 l3: f018fc00 l4:
00000001 l5:
f017f800 l6

I have tried replacing the inittab entry from referencing
cua0 to ttyS0, and also (out of sheer desparation) replacing
the call to getty with mgetty, all to no avail.

I should point out that I have no problems running headless
with a 2.0.35 kernel.

Comment 1 Bill Nottingham 1999-11-04 22:41:59 UTC
Try changing /dev/console from major number 4, minor 0
to major 5, minor 1.

Comment 2 Bill Nottingham 2000-02-05 19:56:59 UTC
cloesd, lack of input.


Note You need to log in before you can comment on or make changes to this bug.